## org.mortbay.util.daemon
Class Sweeper

    java.lang.Object
      org.mortbay.util.daemon.Sweeper

All Implemented Interfaces:
  FilenameFilter, Runnable

    public class Sweeper

extends Object
implements Runnable, FilenameFilter

Field Summary
`static long` `DEFAULT_INTERVAL`
`static boolean` `LOG_TO_CONSOLE`

Constructor Summary
`Sweeper()`
`Sweeper(long interval)`
`Sweeper(Timer timer, long interval)`

Method Summary
`boolean` `accept(File file, String name)`
`static boolean` `delete(File file)`
`static void` `main(String[] args)`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INTERVAL

    public static final long DEFAULT_INTERVAL

See Also:
  Constant Field Values

### LOG_TO_CONSOLE

    public static boolean LOG_TO_CONSOLE

Constructor Detail

### Sweeper

    public Sweeper()

### Sweeper

    public Sweeper(long interval)

### Sweeper

    public Sweeper(Timer timer,
                   long interval)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### delete

    public static boolean delete(File file)

### accept

    public boolean accept(File file,
                          String name)

  Specified by:
    `accept` in interface `FilenameFilter`

### main

    public static void main(String[] args)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.